FROM python:slim

WORKDIR /blog

COPY requirements.txt requirements.txt

ADD src/ /blog/

RUN pip install -r requirements.txt

RUN apt-get update && apt-get install -y  make

RUN make html
ENTRYPOINT ["make", "serve-global"]
